# Snyk Learn

## Introduction

[Snyk Learn](https://learn.snyk.io) is dedicated to [developer education](snyk-learn.md#developer-education) and [product training](snyk-learn.md#product-training).

### Developer education

Our developer education resources looking at vulnerabilities in detail including the why and how:

* **Why** is it vulnerable?
* **How** do we mitigate it?

Snyk Learn teaches developers how to stay secure, with interactive lessons exploring vulnerabilities across a variety of languages and ecosystems.

Many graduate developers may have completed their whole degree program without ever taking a course dedicated to computer security. Snyk Learn helps to educate these developers (and all developers) with knowledge and expertise, both theory and practical.

#### Lessons for developers

Our lessons are targeted toward developers who want to learn more about specific vulnerabilities and how to mitigate them. Snyk Learn is also helpful for developers, team leads, and managers who want to enhance the general security knowledge of their team.

The lessons at Snyk Learn are aligned with the [NIST NICE Framework](https://www.nist.gov/itl/applied-cybersecurity/nice) Work Role Categories and Competency Areas.

#### Lesson structure

Lessons are structured as follows:

* The _basics_ of the vulnerability are covered which explains exactly what the vulnerability is.
* Then there is an _in action_ section that looks at how the vulnerability would be executed.
* Each lesson has an interactive widget where developers can see exactly how the vulnerability is being executed. But seeing it work and knowing how it works is different.
* The third section of the lesson is _under the hood_ where we take a look at why the vulnerability worked and the code behind it.
* Finally, it’s the _mitigation_ section. This is where developers will learn how to fix the vulnerability using code examples.

#### Language coverage

There are many lessons covering many different languages. The languages being covered currently are JavaScript, Java, C#, Python, PHP, Go, and C++. We also have a couple of lessons for Kubernetes. More languages will be covered in the future.

#### Learning paths

We offer [learning paths](https://learn.snyk.io/learning-paths/) as a way for learners to take a predefined set of lessons. We offer multiple learning paths including OWASP Top 10 and Snyk Top 10.

#### OWASP Top 10

This learning path covers the [OWASP](https://owasp.org/) top 10. Each OWASP category is a module on Learn. Each module contains at least one lesson. Completing all ten modules will result in the successful completion of this OWASP learning path. The modules are:

* Broken Access Control
* Cryptographic Failures
* Injection
* Insecure Design
* Security Misconfiguration
* Vulnerable and Outdated Components
* Identification and Authentication Failures
* Software and Data Integrity Failures
* Security Logging and Monitoring Failures
* Server-Side Request Forgery

#### Snyk Top 10

This learning path covers the Snyk top 10. This covers the top 10 Open Source vulnerabilities in the previous year found by Snyk. The modules are:

* Denial of Service (DoS)
* Remote Code Execution (RCE)
* Deserialization of Untrusted Data
* SQL Injection
* Prototype Pollution
* Insecure Temporary File
* Directory/Path Traversal
* Privilege Escalation
* Regular Expression of Denial of Service (ReDoS)
* Null Pointer Dereference

## Product training

Snyk product training provides videos and self-paced courses for learning how to use Snyk, including:

* How to implement Snyk
* How to configure and manage Snyk organizations
* How to use Snyk to find and fix issues

The platform is an easy way for teams to get an introduction to Snyk tools and user best practices. Most courses take between 3 and 10 minutes, and have been described by a customer as a "very good overview on how to get started with the Snyk journey!"

### Implementation course catalog

Learn about key decisions and tasks for Snyk implementation in this [set of resources](https://learn.snyk.io/catalog/product-training/?type=product-training\&format=learning\_path). You'll find information to help decision-makers and teams decide where to implement Snyk and the best practices for rolling out Snyk across a business or enterprise. You'll learn different ways to structure your account and how to set up single sign-on (SSO) for authentication and user provisioning.

### Configuring and managing Snyk course catalog

Learn about setting up, configuring, and managing an Organization in Snyk. You'll find [topics](https://learn.snyk.io/catalog/product-training/?type=product-training\&format=learning\_path) to get you off to the right start, including setting the defaults for your Organization's notifications and alerts. You'll also learn different ways to configure various automations that Snyk offers to optimize your application security.

### Finding and fixing issues with Snyk course catalog

Learn how to use Snyk to find and fix issues in different ways. These [short courses ](https://learn.snyk.io/catalog/product-training/?type=product-training\&format=learning\_path)demonstrate how to get started with the Snyk CLI and with a plug-in or extension to use in your IDE and how to find, prioritize, and fix issues through the Snyk Web UI.

### Video library catalog

In addition to the courses available for enrolment, the [video library](https://learn.dev.snyk.io/catalog/product-training/?type=product-training) offers individual videos that provide quick demonstrations or refreshers on key Snyk tasks. Each video includes links to related courses.

### Additional resources

Snyk Training is one component of learning available for users and customers.

The [Digital Success program](https://snyk.io/digital-customer-success/) offers customers a way to get started quickly and scale learning to the rest of their teams. In addition to the self-paced content available in Snyk Training, customers can take advantage of:

* Office hours: Informal sessions to discuss a Snyk topic
* Kickoff sessions: Guided learning for roll out best practices

{% hint style="info" %}
Also, see [Snyk Learn](snyk-learn.md) for developer education for general security across a variety of languages and ecosystems.
{% endhint %}
